Get an automation

Retrieve one automation and its stats.

GEThttps://app.usenotix.dev/api/v1/automations/{id}

Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.

Retrieve one automation and its stats.

Path parameters

idstringrequired

Headers

Authorizationstringrequired

Bearer followed by your API key.

Errors

404

No journey with this id for the calling team

Every error has the same shape. See all error codes.

curl -X GET "https://app.usenotix.dev/api/v1/automations/<id>" \
  -H "Authorization: Bearer $NOTIX_API_KEY"
Response200
{
  "id": "cly1jrn8x0000abcd1234",
  "name": "Welcome series",
  "status": "ACTIVE",
  "triggerType": "CONTACT_ADDED",
  "contactBookId": "cly1book0000abcd1234",
  "segmentId": "cly1seg00000abcd1234",
  "exitWhenLeavesSegment": false,
  "triggerEvent": "payment.failed",
  "steps": [
    {
      "id": "cm1x8f3k20001qz7v5b9d2e4a",
      "type": "EMAIL",
      "from": "Acme <receipts@acme.com>",
      "subject": "Your receipt for order 4471"
    }
  ],
  "connections": [
    {
      "from": "trigger",
      "to": "stp_a1b2c3d4e5f6"
    }
  ],
  "copiedFromId": "cm1x8f3k20001qz7v5b9d2e4a",
  "stats": {
    "enrolled": 1,
    "active": 1,
    "completed": 1,
    "exited": 1,
    "failed": 1,
    "sentByStep": {
      "stp_abc123": 12
    }
  },
  "createdAt": "2026-10-01T09:00:00Z",
  "updatedAt": "2026-10-01T09:00:00Z"
}
Open in ClaudeOpen in ChatGPT